package vue;

import controleur.ControleurClavier;
import controleur.ControleurSouris;

import java.awt.*;
import javax.swing.JFrame;

public class FenetreDeDessin extends JFrame {
    private Color couleur;
    private BasicStroke pinceau;
    public FenetreDeDessin(ControleurClavier contrClavier) {
        setTitle("Une première fenêtre pour dessiner à main levée");
        setSize(600, 500);
        setLocationRelativeTo(null);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        ControleurSouris controleurSouris = new ControleurSouris();
        controleurSouris.pour(this);
        addMouseListener(controleurSouris);
        addMouseMotionListener(controleurSouris);
        addKeyListener(contrClavier);
        contrClavier.pour(this);
        pinceau = new BasicStroke(1, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
        setVisible(true);
    }
    public void changeEpaisseur(int ep) {
        pinceau = new BasicStroke(ep, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
    }
    public void changeCouleur(Color coul) {
        couleur = coul;
    }
    public void dessineSegment(int x1, int y1, int x2, int y2) {
        Graphics g = getGraphics();
        ((Graphics2D)g).setStroke(pinceau);
        g.setColor(couleur);
        g.drawLine(x1, y1, x2, y2);
    }
}
